<?php
namespace Neuron\Person\Controller\Plugin\Service;

use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceManager;
use Zend\ServiceManager\ServiceLocatorInterface;
use Neuron\Person\Controller\Plugin\Translate;

/**
 * TranslateFactory
 *
 */
class TranslateFactory implements FactoryInterface
{
    public function __invoke(ServiceManager $container, $requestedName, array $options = null)
    {
        return new Translate($container->get('translator'));
    }

    public function createService(ServiceLocatorInterface $container)
    {
        return $this($container->getServiceLocator(), Translate::class);
    }
}