<?php

namespace Neuron\Person\Map;

class Storage {  

	CONST LIST_ALL 	= 0;
	const LOADBY_ID = 0;
	
	const LOADBY_CODE 		= 1;
	const LOADBY_PERSON_ID 	= 2;
	const LOADBY_USER_ID 	= 3;
	
	
  	public static function factory(\Zend\Db\Adapter\Adapter $adapter, $config = array()) {
    
	    if ($adapter->getDriver() instanceof \Zend\Db\Adapter\Driver\Oci8\Oci8) {
	        return new Storage\Oci8($adapter, $config);
	    } else {
	        return new Storage\Mysql($adapter, $config);
	    }
  	}
  
}