<?php
return [
    "ALTER TABLE person_detail ADD termination_reason_category INT(11) NULL;",
    "ALTER TABLE person_detail CHANGE termination_reason_category termination_reason_category INT(11) NULL AFTER termination_reason;",
    "ALTER TABLE person_detail ADD flag_bpjs_ks TINYINT(4) NULL;",
    "ALTER TABLE person_detail ADD flag_bpjs_kt TINYINT(4) NULL;",
	
	"CREATE TABLE `person_skill_types` (
	  `skill_type_id` smallint(6) NOT NULL AUTO_INCREMENT,
	  `skill_code` varchar(12) NOT NULL,
	  `skill_name` varchar(64) NOT NULL,
	  PRIMARY KEY (`skill_type_id`),
	  UNIQUE KEY `skill_code_UNIQUE` (`skill_code`)
	) ENGINE=InnoDB",
	
	"CREATE TABLE `person_skill` (
	  `person_skill_id` int(11) NOT NULL AUTO_INCREMENT,
	  `skill_code` varchar(12) NOT NULL,
	  `person_id` int(11) NOT NULL,
	  `skill_value` varchar(64) NOT NULL,
	  `start_date` date NOT NULL,
	  `end_date` varchar(45) DEFAULT NULL,
	  `document_id` int(11) DEFAULT NULL,
	  `update_dtm` datetime NOT NULL,
	  `update_by` int(11) NOT NULL,
	  PRIMARY KEY (`person_skill_id`),
	  KEY `fk_personskill_emp_idx` (`person_id`),
	  KEY `fk_personskill_skilltype_idx` (`skill_code`),
	  CONSTRAINT `fk_personskill_skilltype` FOREIGN KEY (`skill_code`) REFERENCES `person_skill_types` (`skill_code`) ON UPDATE CASCADE,
	  CONSTRAINT `fk_personskill_emp` FOREIGN KEY (`person_id`) REFERENCES `person` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
	) ENGINE=InnoDB",
];
?>